package com.xmomen.module.user.entity.mapper;

import com.xmomen.module.user.entity.SysPermissions;
import com.xmomen.module.user.entity.SysPermissionsExample;
import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper，用于操作SysPermissions实体类
public interface SysPermissionsMapper extends MybatisMapper {
    // 根据条件统计SysPermissions实体类的数量
    int countByExample(SysPermissionsExample example);

    // 根据条件删除SysPermissions实体类
    int deleteByExample(SysPermissionsExample example);

    // 插入SysPermissions实体类
    int insertSelective(SysPermissions record);

    // 根据条件更新SysPermissions实体类
    int updateByExampleSelective(@Param("record") SysPermissions record, @Param("example") SysPermissionsExample example);
}